---
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Chart.Name }}-db-configs
data:
    {{- if eq .Values.global.database.dbVendor "oracle" }}
    SPRING_DATASOURCE_URL: jdbc:oracle:thin:@{{ .Values.global.database.host }}:{{ .Values.global.database.port }}/{{ .Values.global.database.instance }}
    {{- else if eq .Values.global.database.dbVendor "mssql" }}
    SPRING_DATASOURCE_URL: jdbc:sqlserver://{{ .Values.global.database.host }}:{{ .Values.global.database.port }};database={{ include "library.database.username" . }}
    {{- end }}
